Object Storage API, REST: Bucket.SetHTTPSConfig
Updates the HTTPS configuration for the specified bucket.
The updated configuration could take up to 30 minutes to apply to the bucket.
HTTP request
POST https://storage.api.cloud.yandex.net/storage/v1/buckets/{name}:setHttpsConfig
Path parameters
|
Field |
Description |
|
name |
string Required field. Name of the bucket to update the HTTPS configuration for. |
Body parameters
{
// Includes only one of the fields `selfManaged`, `certificateManager`
"selfManaged": {
"certificatePem": "string",
"privateKeyPem": "string"
},
"certificateManager": {
"certificateId": "string"
}
// end of the list of possible fields
}
|
Field |
Description |
|
selfManaged |
Your TLS certificate, uploaded directly. Includes only one of the fields HTTPS configuration parameters. |
|
certificateManager |
CertificateManagerHTTPSConfigParams TLS certificate from Certificate Manager. Includes only one of the fields HTTPS configuration parameters. |
SelfManagedHTTPSConfigParams
|
Field |
Description |
|
certificatePem |
string PEM The maximum string length in characters is 3145728. |
|
privateKeyPem |
string PEM The maximum string length in characters is 3145728. |
CertificateManagerHTTPSConfigParams
A resource for a TLS certificate from Certificate Manager.
|
Field |
Description |
|
certificateId |
string ID of the certificate. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |